### Hierarchy

- unknown
  - OpenAccountRequest

## Index

### Constructors

- constructor

### Methods

- getPassword
- serializeBinary
- setPassword
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new OpenAccountRequest(): OpenAccountRequest

- Inherited from jspb.Message.constructor

  #### Returns OpenAccountRequest

## Methods

### getPassword

- getPassword(): string

- - Defined in src/protobuf/grpc_pb.d.ts:171

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:174

  #### Returns Uint8Array

### setPassword

- setPassword(value: string): OpenAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:172

  #### Parameters

  - ##### value: string

  #### Returns OpenAccountRequest

### toObject

- toObject(includeInstance?: boolean): OpenAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:175

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns OpenAccountRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): OpenAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:178

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OpenAccountRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OpenAccountRequest, reader: BinaryReader): OpenAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:179

  #### Parameters

  - ##### message: OpenAccountRequest

  - ##### reader: BinaryReader

  #### Returns OpenAccountRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: OpenAccountRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:177

  #### Parameters

  - ##### message: OpenAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: OpenAccountRequest ): OpenAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:176

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OpenAccountRequest

  #### Returns OpenAccountRequest . AsObject

Generated using TypeDoc